## org.freedesktop.NetworkManager.Device.Macsec org.freedesktop.NetworkManager.Device.Macsec — MACSec Device |

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    Parent         readable   o
    Sci            readable   t
    IcvLength      readable   y
    CipherSuite    readable   t
    Window         readable   u
    EncodingSa     readable   y
    Validation     readable   s
    Encrypt        readable   b
    Protect        readable   b
    IncludeSci     readable   b
    Es             readable   b
    Scb            readable   b
    ReplayProtect  readable   b

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "Parent" property

    Parent  readable   o

The object path of the parent device.

### The "Sci" property

    Sci  readable   t

The Secure Channel Identifier in use.

### The "IcvLength" property

    IcvLength  readable   y

The length of ICV (Integrity Check Value).

### The "CipherSuite" property

    CipherSuite  readable   t

The set of cryptographic algorithms in use (e.g. 0x0080020001000001 for GCM-AES-128).

### The "Window" property

    Window  readable   u

The size of the replay window.

### The "EncodingSa" property

    EncodingSa  readable   y

The value of the Association Number (0..3) for the Security Association in use.

### The "Validation" property

    Validation  readable   s

The validation mode for incoming packets (strict, check, disabled).

### The "Encrypt" property

    Encrypt  readable   b

Whether encryption of transmitted frames is enabled.

### The "Protect" property

    Protect  readable   b

Whether protection of transmitted frames is enabled.

### The "IncludeSci" property

    IncludeSci  readable   b

Whether the SCI is always included in SecTAG for transmitted frames.

### The "Es" property

    Es  readable   b

Whether the ES (End station) bit is enabled in SecTAG for transmitted frames.

### The "Scb" property

    Scb  readable   b

Whether the SCB (Single Copy Broadcast) bit is enabled in SecTAG for transmitted frames.

### The "ReplayProtect" property

    ReplayProtect  readable   b

Whether replay protection is enabled.